> ## Documentation Index
> Fetch the complete documentation index at: https://gaia-docs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List MCP Resources

> Retrieves all available resources from a connected MCP server

## Query Parameters

<ParamField query="id" type="string" required>
  MCP server ID
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Whether the request was successful
</ResponseField>

<ResponseField name="resources" type="array">
  Array of available resources

  <Expandable title="Resource Object">
    <ResponseField name="uri" type="string">
      Resource URI identifier
    </ResponseField>

    <ResponseField name="name" type="string">
      Resource name
    </ResponseField>

    <ResponseField name="description" type="string">
      Resource description
    </ResponseField>

    <ResponseField name="mimeType" type="string">
      MIME type of the resource content
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.example.com/api/mcp/resources?id=mcp_abc123" \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://api.example.com/api/mcp/resources?id=mcp_abc123',
    {
      method: 'GET',
      headers: {
        'Authorization': 'Bearer YOUR_API_KEY'
      }
    }
  );

  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      'https://api.example.com/api/mcp/resources',
      headers={'Authorization': 'Bearer YOUR_API_KEY'},
      params={'id': 'mcp_abc123'}
  )

  data = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "success": true,
    "resources": [
      {
        "uri": "file:///data/config.json",
        "name": "Configuration File",
        "description": "Application configuration settings",
        "mimeType": "application/json"
      },
      {
        "uri": "db://records/users",
        "name": "User Records",
        "description": "Database of user information",
        "mimeType": "application/json"
      }
    ]
  }
  ```

  ```json Not Found theme={null}
  {
    "success": false,
    "message": "Server not found",
    "resources": []
  }
  ```
</ResponseExample>
